<?php

include_once('config.php');


function get_web_page($url)

{

    $options = array(

        CURLOPT_RETURNTRANSFER => true,     // return web page

        CURLOPT_HEADER         => false,    // don't return headers

        CURLOPT_FOLLOWLOCATION => true,     // follow redirects

        CURLOPT_ENCODING       => "",       // handle all encodings

        CURLOPT_USERAGENT      => "spider", // who am i

        CURLOPT_AUTOREFERER    => true,     // set referer on redirect

        CURLOPT_CONNECTTIMEOUT => 120,      // timeout on connect

        CURLOPT_TIMEOUT        => 120,      // timeout on response

        CURLOPT_MAXREDIRS      => 10,       // stop after 10 redirects

        CURLOPT_SSL_VERIFYPEER => false     // Disabled SSL Cert checks

    );



    $ch      = curl_init($url);

    curl_setopt_array($ch, $options);

    $content = curl_exec($ch);

    $err     = curl_errno($ch);

    $errmsg  = curl_error($ch);

    $header  = curl_getinfo($ch);

    curl_close($ch);



    $header['errno']   = $err;

    $header['errmsg']  = $errmsg;

    $header['content'] = $content;

    return $header;
}



$xmlData = get_web_page(XMLPATH);

// Convert xml string into an object
$new = simplexml_load_string(trim($xmlData['content']));
// Convert into json
$con = json_encode($new);
// Convert into associative array
$newArr = json_decode($con, true);
$data = array();
foreach ($newArr['channel']['item'] as $k => $v) {
    $variant = explode("=", $v['link']);
    $data[$variant[1]] = $v;
}

$_SESSION['items'] = $data;
//echo '<pre>';print_r($_SESSION);die();

echo (trim($xmlData['content']));
