<?php

header('Access-Control-Allow-Origin: *'); 
header("Access-Control-Allow-Credentials: true");
header('Access-Control-Allow-Methods: GET, PUT, POST, DELETE, OPTIONS');
header('Access-Control-Max-Age: 1000');
header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token , Authorization');

session_start();

use DevCoder\DotEnv;

require_once(__DIR__ . "/envParse.php");
(new DotEnv(__DIR__ . '/.env'))->load();

header("Access-Control-Allow-Origin: *");

define('APIPATH', getenv('APIPATH'));
define('TOKEN', getenv('TOKEN'));
define('EMAILID', getenv('EMAILID'));
define('XMLPATH', getenv('XMLPATH'));
