<?php
include_once('config.php');
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';

if ($contentType === "application/json") {
    //Receive the RAW post data.
    $content = trim(file_get_contents("php://input"));

    $decode = json_decode($content, true);

    // $base_decode = base64_decode($decode['data']);
    // $decoded = hex2bin($base_decode);

    // function hexToString($hex)
    // {
    //     return pack('H*', $hex);
    // };

    // echo mb_convert_encoding(hexToString($data), 'UTF-8', 'Unicode');

    // echo '<pre>';
    // print_r( mb_convert_encoding(hexToString($base_decode),'HTML-ENTITIES', 'utf-8'));
    // die;
    $draft = array();
    foreach ($decode['draft_order']['line_items'] as $k => $v) {
        $price = $_SESSION['items'][$v['variant_id']]['sale_price'];
        $bundle_builder_price = $_SESSION['items'][$v['variant_id']]['bundle_builder_price'];
        //  echo '<pre>';print_r($v);die();
        if (!is_array($bundle_builder_price)) {
            $discount = $price - $bundle_builder_price;
            $v['applied_discount']['value_type'] = 'fixed_amount';
            $v['applied_discount']['value'] = (float)(number_format($discount, 2, '.', ''));
            $v['applied_discount']['amount'] = 10;
        } else {

            $v['applied_discount']['value_type'] = 'fixed_amount';
            $v['applied_discount']['value'] = 0;
            $v['applied_discount']['amount'] = 0;
        }
        // $v['price'] = $price;
        //$v['applied_discount'] = $price;
        $draft['draft_order']['line_items'][$k] =  $v;
    }
    $draft['draft_order']['email'] = $decode['draft_order']['email'];
    $draft['draft_order']['tags'] = 'Bundle Builder';
    //  echo '<pre>';print_r($draft);die();
    $content = json_encode($draft);

    //  echo '<pre>';print_r($content);die();

    $apiPathForDraft = APIPATH . 'admin/api/2022-10/draft_orders.json';
    $result = curlCall($apiPathForDraft, TOKEN, $content);
    $invoiceResult = json_decode($result);

    $apiPathForInvoice = APIPATH . 'admin/api/2022-10/draft_orders/' . $invoiceResult->draft_order->id . '/send_invoice.json';

    $invoiceContent = array('draft_order_invoice' => array('to' => $draft['draft_order']['email'], 'from' => EMAILID, 'subject' => 'Order Summary Of Your Product'));
    $invoice = curlCall($apiPathForInvoice, TOKEN, json_encode($invoiceContent));
    print_r(json_encode(array("success" => 200, "result" => $invoiceResult, "invoice" => json_decode($invoice))));
    // echo '<pre>';print_r($draft);
    // die;
    // Generated by curl-to-PHP: http://incarnate.github.io/curl-to-php/

}

function curlCall($apiPath, $Token, $content)
{
    $ch = curl_init();

    curl_setopt($ch, CURLOPT_URL, $apiPath);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $content);

    $headers = array();
    $headers[] = 'Content-Type: application/json';
    $headers[] = 'X-Shopify-Access-Token: ' . $Token;
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

    $result = curl_exec($ch);
    return $result;
    if (curl_errno($ch)) {
        print_r('Error:' . curl_error($ch));
    }
    curl_close($ch);
}
